This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 948661 - Review Request: nodejs-tunnel-agent - HTTP proxy tunneling agent
Review Request: nodejs-tunnel-agent - HTTP proxy tunneling agent
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 948659
  Show dependency treegraph
 
Reported: 2013-04-04 22:09 EDT by T.C. Hollingsworth
Modified: 2013-04-25 09:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-25 09:56:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tom: fedora‑review+
pbabinca: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2013-04-04 22:09:20 EDT
Spec: http://patches.fedorapeople.org/npm/nodejs-tunnel-agent.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-tunnel-agent-0.2.0-1.fc18.src.rpm
FAS Username: patches
Description:
HTTP proxy tunneling agent.
Comment 1 Tom Hughes 2013-04-05 14:44:40 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Note: rm -rf %{buildroot} present but not required

- Note: %defattr present but not needed

- Note: Buildroot: present but not needed

- Note: %clean present but not required

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[-]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-tunnel-agent-0.2.0-1.fc20.noarch.rpm
nodejs-tunnel-agent.noarch: W: only-non-binary-in-usr-lib
nodejs-tunnel-agent.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-tunnel-agent
nodejs-tunnel-agent.noarch: W: only-non-binary-in-usr-lib
nodejs-tunnel-agent.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-tunnel-agent (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-tunnel-agent:
    nodejs-tunnel-agent
    npm(tunnel-agent)



MD5-sum check
-------------
http://registry.npmjs.org/tunnel-agent/-/tunnel-agent-0.2.0.tgz :
  CHECKSUM(SHA256) this package     : d5c7fe6b4cd377ac54ff994f3b53b368fb4c0edafceddcf0e575402aa2451808
  CHECKSUM(SHA256) upstream package : d5c7fe6b4cd377ac54ff994f3b53b368fb4c0edafceddcf0e575402aa2451808


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: compton-rawhide-x86_64
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 948661
Comment 2 T.C. Hollingsworth 2013-04-05 17:01:48 EDT
(In reply to comment #1)
> - Note: rm -rf %{buildroot} present but not required
> 
> - Note: %defattr present but not needed
> 
> - Note: Buildroot: present but not needed
> 
> - Note: %clean present but not required

I've been retaining EL5 support in the npm stack because they're harmless and at least one person rebuilds the npm stack for EL5 in the wild right now (see bug 908882).  See prior discussion of this during earlier npm reviews here:
https://bugzilla.redhat.com/show_bug.cgi?id=891194#c2
Comment 3 Tom Hughes 2013-04-05 17:26:10 EDT
Fine. In that case package is approved.
Comment 4 T.C. Hollingsworth 2013-04-05 17:51:16 EDT
New Package SCM Request
=======================
Package Name: nodejs-tunnel-agent
Short Description: HTTP proxy tunneling agent
Owners: patches
Branches: f19 f18 el6
InitialCC:
Comment 5 Pavol Babinčák 2013-04-08 05:03:57 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-04-08 06:10:14 EDT
nodejs-oauth-sign-0.2.0-1.fc18,nodejs-tunnel-agent-0.2.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-oauth-sign-0.2.0-1.fc18,nodejs-tunnel-agent-0.2.0-1.fc18
Comment 7 Fedora Update System 2013-04-08 06:10:48 EDT
nodejs-json-stringify-safe-4.0.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-json-stringify-safe-4.0.0-2.fc19
Comment 8 Fedora Update System 2013-04-08 06:12:48 EDT
nodejs-json-stringify-safe-4.0.0-2.fc19, nodejs-aws-sign-0.2.0-1.fc19, nodejs-oauth-sign-0.2.0-1.fc19, nodejs-tunnel-agent-0.2.0-1.fc19, nodejs-tobi-cookie-0.2.0-1.fc19, nodejs-npm-registry-client-0.2.20-1.fc19, nodejs-tar-0.1.17-1.fc19, nodejs-lru-cache-2.3.0-1.fc19, node-gyp-0.9.5-1.fc19, npm-1.2.17-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-4914/nodejs-tobi-cookie-0.2.0-1.fc19,nodejs-npm-registry-client-0.2.20-1.fc19,nodejs-tar-0.1.17-1.fc19,nodejs-lru-cache-2.3.0-1.fc19,node-gyp-0.9.5-1.fc19,npm-1.2.17-1.fc19,nodejs-json-stringify-safe-4.0.0-2.fc19,nodejs-aws-sign-0.2.0-1.fc19,nodejs-oauth-sign-0.2.0-1.fc19,nodejs-tunnel-agent-0.2.0-1.fc19
Comment 9 Fedora Update System 2013-04-08 11:46:25 EDT
Package nodejs-json-stringify-safe-4.0.0-2.fc19, nodejs-aws-sign-0.2.0-1.fc19, nodejs-oauth-sign-0.2.0-1.fc19, nodejs-tunnel-agent-0.2.0-1.fc19, nodejs-tobi-cookie-0.2.0-1.fc19, nodejs-npm-registry-client-0.2.20-1.fc19, nodejs-tar-0.1.17-1.fc19, nodejs-lru-cache-2.3.0-1.fc19, node-gyp-0.9.5-1.fc19, npm-1.2.17-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nodejs-json-stringify-safe-4.0.0-2.fc19 nodejs-aws-sign-0.2.0-1.fc19 nodejs-oauth-sign-0.2.0-1.fc19 nodejs-tunnel-agent-0.2.0-1.fc19 nodejs-tobi-cookie-0.2.0-1.fc19 nodejs-npm-registry-client-0.2.20-1.fc19 nodejs-tar-0.1.17-1.fc19 nodejs-lru-cache-2.3.0-1.fc19 node-gyp-0.9.5-1.fc19 npm-1.2.17-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4914/nodejs-tobi-cookie-0.2.0-1.fc19,nodejs-npm-registry-client-0.2.20-1.fc19,nodejs-tar-0.1.17-1.fc19,nodejs-lru-cache-2.3.0-1.fc19,node-gyp-0.9.5-1.fc19,npm-1.2.17-1.fc19,nodejs-json-stringify-safe-4.0.0-2.fc19,nodejs-aws-sign-0.2.0-1.fc19,nodejs-oauth-sign-0.2.0-1.fc19,nodejs-tunnel-agent-0.2.0-1.fc19
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-04-25 09:56:20 EDT
nodejs-json-stringify-safe-4.0.0-2.fc19, nodejs-aws-sign-0.2.0-1.fc19, nodejs-oauth-sign-0.2.0-1.fc19, nodejs-tunnel-agent-0.2.0-1.fc19, npm-1.2.17-5.fc19, nodejs-tobi-cookie-0.2.0-1.fc19, nodejs-npm-registry-client-0.2.20-1.fc19, nodejs-tar-0.1.17-1.fc19, nodejs-lru-cache-2.3.0-1.fc19, node-gyp-0.9.5-1.fc19, nodejs-forever-agent-0.2.0-1.fc19, nodejs-cryptiles-0.2.0-1.fc19, nodejs-hoek-0.8.1-1.fc19, nodejs-sntp-0.2.1-1.fc19, nodejs-hawk-0.12.1-1.fc19, nodejs-request-2.16.6-2.fc19, nodejs-boom-0.4.0-1.fc19, nodejs-read-package-json-0.3.0-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.